//------------------------------------------------------------------------------
//
//  npos.c
//
// ANTZ - 3D data viewer with realtime real-world interaction based on NPE.
//
// ANTZ is hosted at http://temporalzone.com and NPE at http://neuralphysics.org
//
// Written in 2010-2012 by Shane Saxon - contact@saxondigital.net
//
// Additional code contributed by: Mark Buchanan and Lucas Erickson.
//
// To the extent possible under law, the author(s) have dedicated all copyright 
// and related and neighboring rights to this software to the public domain
// worldwide. This software is distributed without any warranty.
//
// Released under the CC0 license, which is GPL compatible.
//
// You should have received a copy of the CC0 Public Domain Dedication along
// with this software (license file named COPYING.txt). If not, see
// http://creativecommons.org/publicdomain/zero/1.0/
//
//------------------------------------------------------------------------------

#include "npos.h"


//-----------------------------------------------------------------------------
void nposSleep (int millisec)
{
#ifdef NP_LINUX_
		npLinuxSleep (millisec);
#endif
#ifdef NP_MSW_
		npMSWSleep (millisec);
#endif
#ifdef NP_OSX_
		npLinuxSleep (millisec);
		//npOSXSleep (millisec);
#endif
}

//-----------------------------------------------------------------------------
void nposGetCWD (char* buffer, int* size)
{
#ifdef NP_LINUX_
		npLinuxGetCWD (buffer, size);
#endif
#ifdef NP_MSW_
		npMSWGetCWD (buffer, size);
#endif
#ifdef NP_OSX_
		npLinuxGetCWD (buffer, size);
		//npOSXGetCWD (buffer, size);
#endif
}

//-----------------------------------------------------------------------------
FILE* nposFileDialog (const char* fileName, int dialogType, void* dataRef)
{
#ifdef NP_LINUX_
 return npLinuxFileDialog (fileName, dialogType, dataRef);
#endif
#ifdef NP_MSW_
 return npmswFileDialog (fileName, dialogType, dataRef);
#endif
#ifdef NP_OSX_
 return npLinuxFileDialog (fileName, dialogType, dataRef);
// return npOSXGetFileDialog (fileName, dialogType, dataRef);
#endif
}

//-----------------------------------------------------------------------------
int nposSetCursorPos (int x, int y)
{
#ifdef NP_LINUX_
//		return npLinuxSetCursorPos (x,y);
#endif
#ifdef NP_MSW_
		return npMSWSetCursorPos (x,y);
#endif
#ifdef NP_OSX_
//		return npOSXSetCursorPos (x,y);
#endif
}

//-----------------------------------------------------------------------------
int nposShowCursor (int hide)
{
#ifdef NP_LINUX_
//		return npLinuxShowCursor (hide);
#endif
#ifdef NP_MSW_
		return npMSWShowCursor (hide);
#endif
#ifdef NP_OSX_
//		return npOSXShowCursor (hide);
#endif
}

//-----------------------------------------------------------------------------
void nposTimeStampCSV (char* fileName)
{
#ifdef NP_LINUX_
//		npLinuxTimeStampCSV (fileName);
#endif
#ifdef NP_MSW_
		npMSWTimeStampCSV (fileName);
#endif
#ifdef NP_OSX_
//		npOSXTimeStampCSV (fileName);
#endif
}


